# SOR22 - Refuse an order

> ⚠️ **Content-length header**
The Content-Length header must be present with value 0, even when there is no request body.

DescriptionRefuse an order in WAITING_ACCEPTANCE state
Call FrequencyRecommended usage: For each new service orderMaximum usage: For each new service order

Endpoint: PUT /api/mms/orders/{order_id}/refuse

## Path parameters:

  - `order_id` (string, required)
    The identifier of the order to be refused.

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 204:

  - `204` (unknown)
    No Content

